
// // // // // // // // // // // // //
//
//	FateMaker Demo -> FateWin.c++
//
//	created 4.10.97 by Andreas Warnke
//	last mod 6.10.97 by Andreas Warnke
//
//	description
//	Definition der FateWin-Methoden
//



// // // // // // // // // // // // //
//
//	include
//

#include <Window.h>
#include "FateWin.h"
#include "main.h"
#include "FateMonitor.h"



// // // // // // // // // // // // //
//
//	Konstruktor
//

FateWin::FateWin(BRect inRect)
	: BWindow(
		inRect,
		"FateMaker Demo",
		B_TITLED_WINDOW,
		0)
{
	//	View into the window:
	AddChild(new FateMonitor(BRect(0,0,inRect.Width(),inRect.Height())));
	
	//	Periodical-Rate:
	SetPulseRate(50000);	//	Units: Microseconds
};



// // // // // // // // // // // // //
//
//	~FateWin
//

FateWin::~FateWin()
{
	//	Just smile!
};



// // // // // // // // // // // // //
//
//	FateWin -> Quit-Button
//

bool FateWin::QuitRequested()
{
	//	Beenden der be_app
	be_app -> PostMessage(B_QUIT_REQUESTED);
	return(true);
};



//
//	Ende
//
// // // // // // // // // // // // //
